vos backupsys              AFS Commands           vos backupsys


NAME

   vos   backupsys -- create  Backup  volume  version  of  all

                       indicated ReadWrite volumes.


   vos backupsys  [-prefix <common prefix on volume(s)>]
   [-server <machine name>]  [-partition <partition name>]
   [-cell <cell name>]  [-noauth]  [-localauth]  [-verbose]
   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos backups  [-pr <common prefix on volume(s)>]  [-s
   <machine name>]
   [-pa <partition name>]  [-c <cell name>]  [-n]  [-l]  [-v]
   [-h]

DESCRIPTION

   Clones each indicated ReadWrite  volume  to  make  a  Backup
   version  of  it.    Names  each  Backup  version by adding a
   .backup extension to the name of its ReadWrite source.    It
   places  each  Backup  at  the  same  site as its source, and
   changes the VLDB status flag for each Backup to valid.

   If a Backup version already exists for  a  volume,  the  new
   clone replaces it.  The status flag remains valid.

   By  combining  the -prefix, -server and -partition arguments
   in different ways, it is possible to create Backup copies of
   varying  numbers  of  volumes.  The possibilities are listed
   here from most to least inclusive

   To create a Backup version of:

      - every ReadWrite volume in  the  system,  omit  all
        three  arguments.    This could take a rather long
        time  to  execute,  depending  on  the  number  of
        volumes.

      - every  ReadWrite  volume  whose name begins with a
        certain character string  (for  example,  sys.  or
        user.), regardless of site, use -prefix.

      - every  ReadWrite  volume on a file server machine,
        specify the file server name with -server.

      - every ReadWrite volume that resides on a partition
        of  the same name (for instance, on /vicepa on any
        file server machine), specify the  partition  name
        with -partition.

      - every ReadWrite volume on a certain partition of a
        file server  machine,  specify  both  -server  and
        -partition.



      - every  ReadWrite volume with a certain prefix that
        resides on a file server machine, combine  -prefix
        and  -server.    The  -prefix argument may also be
        combined with  -partition,  or  both  -server  and
        -partition, in this way.

      - a  single ReadWrite volume, give its complete name
        as -prefix.  This is actually better done with the
        vos backup   command,   which   employs   a   more
        streamlined technique for finding a single volume.

ARGUMENTS

   -prefix         specifies a character string of any  length.
                   Every  volume  whose  name  begins with this
                   exact string  will  be  cloned  (subject  to
                   modulations  from  -server  and -partition).
                   Include field separators (such  as  periods)
                   if   appropriate.    This  argument  may  be
                   combined with -server and/or -partition.

   -server         names the  file  server  machine  where  the
                   ReadWrite     source    volume(s)    reside.
                   Abbreviated forms of machine  names  may  be
                   allowed  depending  on  the  naming  service
                   available at the time the command is issued;
                   see  page xii in the introductory About This
                   Manual  chapter.    This  argument  may   be
                   combined with -prefix and/or -partition.

   -partition      names  the  particular  partition  where the
                   ReadWrite  source  volume(s)  reside.     In
                   addition  to  the  full  /vicepx  form  of a
                   partition  name,  three  shorter  forms  are
                   acceptable; see page xii in the introductory
                   About This Manual chapter.    This  argument
                   may be combined with -prefix and/or -server.

   -cell           specifies  the  cell  in  which  to  run the
                   command.  See section 8.3 in  the  Reference
                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to  assign  the  identity  anonymous  to the
                   issuer.  See section 8.3  in  the  Reference
                   Manual for more details.  -localauth
                   constructs a server ticket using a key  from
                   /usr/afs/etc/KeyFile.    See  section 8.3 in
                   the  Reference  Manual  for  more   details.
                   -verbose
                   tells the Volume and Volume Location Servers
                   to  report  on  what  they are doing as they
                   execute the command.  See section 8.3 in the
                   Reference Manual for more details.  -help
                   prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.    See  section  8.3  in  the
                   Reference Manual for more details.



EXAMPLES

   The  following  creates  a Backup version of every volume in
   the cell's file system whose name begins with "user".

   % vos backups user

   The following, appropriate in the Transarc Corporation cell,
   creates  a Backup version of every volume on the file server
   machine fs3.transarc.com.

   % vos backups -s fs3.transarc.com

   The following, appropriate in the Transarc Corporation cell,
   creates  a  Backup  version  of  every volume on the /vicepc
   partition of the file server machine fs5.transarc.com.

   % vos backups -s fs5.transarc.com -p c

   The following, appropriate in the Transarc Corporation cell,
   creates  a Backup version of every volume on the file server
   machine db1.transarc.com whose name begins with "sys".

   % vos backups sys db1.transarc.com

PRIVILEGE REQUIRED

   Issuer must be listed in /usr/afs/etc/UserList on -server.

MORE INFORMATION

   vos backup
